import request from '@/utils/request'

// 开启关闭权限控制
export function PowerControl() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '输入冻结日期开启关闭权限控制',
      param: '是否开启=' + arguments[0]
    }
  })
}

// 输入权限判断
export function PowerJudge() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '输入权限判断',
      param: '当前日期=' + arguments[0] + '&可以输入月份=' + arguments[1] + '&是否可以输入=' + arguments[2] + '&开始时间=' + arguments[3] + '&结束时间=' + arguments[4] + '&是否启用=' + arguments[5]
    }
  })
}

// 输入冻结日期
export function FreezeDateInput() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '输入冻结日期',
      param: '开始日期=' + arguments[0] + '&结束日期=' + arguments[1]
    }
  })
}
